Bug 3612 - RamFS shows zero st_blocks in fstat (TCB doesn't work)
: RamFS shows zero st_blocks in fstat (TCB doesn't work)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std-up)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-02-06 14:33 by
Modified: 2005-08-31 03:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-02-06 14:33:26
When calling fstat64 on some file located on ramfs,
it constantly returns zero in st_blocks parameter.
E.G.
So keeping /etc in ramfs prevented password system from looking in shadow files,
and paswd/login will always fail.

This possibly cause another valuable system components fail.


Steps to Reproduce:
1.mkdir /bup
2.find /etc | cpio -pdm /bup
3.mount -t ramfs none /etc
4. cd /bup/etc
5. find . | cpio -pdm /etc
6. cd /root; strace -vo log passwd
Actual Results:  
passwd: Authentication service cannot retrieve authentication info..
grep fstat log | tail
...
fstat64(... st_blocks=0...)
------- Comment #1 From 2004-02-29 22:05:33 -------
Fixed in kernel-image-{up,smp}-2.4.25-alt1; please test.